# SolrInputDocument::getChildDocuments

(PECL solr >= 2.3.0)

SolrInputDocument::getChildDocuments — Returns an array of child documents (SolrInputDocument)

### Description

public SolrInputDocument::getChildDocuments ( void ) : array

Returns an array of child documents (SolrInputDocument)

### Parameters

This function has no parameters.

### Return Values

### See Also

- SolrInputDocument::addChildDocument() - Adds a child document for block indexing
- SolrInputDocument::addChildDocuments() - Adds an array of child documents
- SolrInputDocument::hasChildDocuments() - Returns true if the document has any child documents
- SolrInputDocument::getChildDocumentsCount() - Returns the number of child documents